Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 451176

Summary: eeepc not automatically probed
Product: [Fedora] Fedora Reporter: Carlo Raudino <carloraudino>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 9CC: amlau, bnocera
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-06-14 10:39:24 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Carlo Raudino 2008-06-13 08:16:48 UTC
Description of problem: eeepc.ko automatic probing, not working. There's the
need to put modprobe eeepc in rc.local, to get it probed.


Version-Release number of selected component (if applicable):
2.6.25.4-30


  
Actual results: modprobe eeepc in rc.local, it the only solution

Expected results:
automatic probing

Additional info:
cat /sys/class/dmi/id/modalias
dmi:bvnAmericanMegatrendsInc.:bvr0910:bd03/03/2008:svnASUSTeKComputerINC.:pn701:pvrx.x:rvnASUSTeKComputerINC.:rn701:rvrx.xx:cvnASUSTekComputerINC.:ct10:cvrx.x:

Comment 1 Chuck Ebbert 2008-06-14 08:31:02 UTC
Please check if the updated driver (eeepc_laptop, in 2.6.25.6-62) and/or the one
in rawhide load automatically.

Comment 2 Carlo Raudino 2008-06-14 09:45:34 UTC
where is this revision? in koji the last build is the kernel-2.6.25.6-59.fc9 ...
sure I can try also this kernel-2.6.26-0.67.rc6.git1.fc10

Comment 3 Carlo Raudino 2008-06-14 10:39:24 UTC
Sure, kernel-2.6.26-0.67.rc6.git1   works :D
lsmod gives me eeepc-laptop and hwmon (eeepc-laptop) loaded :D

Very nice! 

Comment 4 Matthew Garrett 2008-06-16 14:20:46 UTC
Carlo,

Can you include the output of 

cat /sys/bus/pnp/devices/*/id

? There may be a neater way of handling this than using DMI information.

Comment 5 Carlo Raudino 2008-06-16 15:50:36 UTC
This is fedora 9 + kernel 2.6.25.6-55.fc9.i686 output:
cat /sys/bus/pnp/devices/*/id
PNP0a08
PNP0a03
PNP0c01
PNP0200
PNP0b00
PNP0303
PNP030b
SYN0a00
SYN0a01
SYN0a04
SYN0002
PNP0f13
PNP0800
PNP0c04
PNP0c02
PNP0c02
PNP0c02
PNP0c02
PNP0c01


Comment 6 Carlo Raudino 2008-06-16 16:06:41 UTC
(In reply to comment #5)
> This is fedora 9 + kernel 2.6.25.6-55.fc9.i686 output:
> cat /sys/bus/pnp/devices/*/id
> PNP0a08
> PNP0a03
> PNP0c01
> PNP0200
> PNP0b00
> PNP0303
> PNP030b
> SYN0a00
> SYN0a01
> SYN0a04
> SYN0002
> PNP0f13
> PNP0800
> PNP0c04
> PNP0c02
> PNP0c02
> PNP0c02
> PNP0c02
> PNP0c01
> 

Identical output with 2.6.26  :-)


Comment 7 Carlo Raudino 2008-06-17 09:24:05 UTC
eeepc 900 modalias output:

dmi:bvnAmericanMegatrendsInc.:bvr0601:bd05/26/2008:svnASUSTeKComputerINC.:pn900:pvr0501:rvnASUSTeKComputerINC.:rn900:rvrx.xx:cvnASUSTekComputerINC.:ct10:cvrx.x: